terraform {
  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "~> 2.0"
    }
    cloudflare = {
      source  = "cloudflare/cloudflare"
      version = "~> 2.0"
    }
  }
  required_version = ">= 0.13"
}

terraform {
  backend "remote" {
    organization = "AHosking"

    workspaces {
      name = "terraform"
    }
  }
}

provider "cloudflare" {
  email     = var.CLOUDFLARE_EMAIL
  api_key   = var.CLOUDFLARE_API_KEY
  api_token = var.CLOUDFLARE_API_TOKEN
}

provider "aws" {
  region = "us-east-1"

  access_key = var.aws_access_key
  secret_key = var.aws_secret_key


  skip_credentials_validation = true
  skip_region_validation      = true
  skip_requesting_account_id  = true
  skip_metadata_api_check     = true
}
